claw::buffered_ostream< Stream > Class Template Reference

This class is made to help writing in ostreams with a buffer. More...

`#include <buffered_ostream.hpp>`

## Public Member Functions

| buffered_ostream (stream_type &f, unsigned int buffer_size=1024)
template<typename T>
void | write (T v)
void | write (const char *p, unsigned int n)
void | flush ()

## Detailed Description

template<typename Stream>
class claw::buffered_ostream< Stream >

This class is made to help writing in ostreams with a buffer.

Author
  Julien Jorge

Definition at line 40 of file buffered_ostream.hpp.

The documentation for this class was generated from the following file:

- buffered_ostream.hpp